CVE-2020-17533

Incorrect Permission Assignment for Critical Resource in maven/org.apache.accumulo/accumulo

Identifier

CVE-2020-17533

Package Slug

maven/org.apache.accumulo/accumulo

Vulnerability

Incorrect Permission Assignment for Critical Resource

Description

Apache Accumulo does not properly check the return value of some policy enforcement functions before permitting an authenticated user to perform certain administrative operations. Specifically, the return values of the canFlush and canPerformSystemActions security functions are not checked in some instances, therefore allowing an authenticated user with insufficient permissions to perform the following actions: flushing a table, shutting down Accumulo or an individual tablet server, and setting or removing system-wide Accumulo configuration properties.

Affected Versions

All versions starting from 1.5.0 up to 1.10.0, version 2.0.0

Solution

Upgrade to versions 1.10.1, 2.0.1 or above.

Last Modified

2021-01-01

source